FUNCTION TEMPL(3)

NAME
boost::algorithm::find_regex - Find regex algorithm.

SYNOPSIS

// In header: <boost/algorithm/string/regex.hpp>
template<typename RangeT, typename CharT, typename RegexTraitsT>
  iterator_range< typename range_iterator< RangeT >::type >
  find_regex(RangeT & Input, const basic_regex< CharT, RegexTraitsT > & Rx,
             match_flag_type Flags = match_default);

DESCRIPTION

Search for a substring matching the given regex in the input.

Parameters:

    Flags
        Regex options

    Input
        A container which will be searched.

    Rx
        A regular expression

Returns:
    An iterator_range delimiting the match. Returned iterator is either RangeT::iterator or RangeT::const_iterator, depending on the constness of the input parameter.

Notes:
    This function provides the strong exception-safety guarantee